# Interface methods for submodule: DiscreteGaussianImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: DiscreteGaussianImageFilter
class DiscreteGaussianImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetVariance(self, _arg: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetVariance(self, v: float) -> None:
		""""""
		...

	@overload
	def SetVariance(self, v) -> None:
		""""""
		...

	def GetVariance(self) -> Sequence[float]:
		""""""
		...

	@overload
	def SetMaximumError(self, _arg: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetMaximumError(self, v: float) -> None:
		""""""
		...

	@overload
	def SetMaximumError(self, v) -> None:
		""""""
		...

	def GetMaximumError(self) -> Sequence[float]:
		""""""
		...

	def GetMaximumKernelWidth(self) -> int:
		""""""
		...

	def SetMaximumKernelWidth(self, _arg: int) -> None:
		""""""
		...

	def GetFilterDimensionality(self) -> int:
		""""""
		...

	def SetFilterDimensionality(self, _arg: int) -> None:
		""""""
		...

	def SetInputBoundaryCondition(self, _arg) -> None:
		""""""
		...

	def GetInputBoundaryCondition(self):
		""""""
		...

	def SetRealBoundaryCondition(self, _arg) -> None:
		""""""
		...

	def GetRealBoundaryCondition(self):
		""""""
		...

	@overload
	def SetSigma(self, sigma: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetSigma(self, sigma: float) -> None:
		""""""
		...

	def SetSigmaArray(self, sigmas: Sequence[float]) -> None:
		""""""
		...

	def GetSigmaArray(self) -> Sequence[float]:
		""""""
		...

	def GetSigma(self) -> float:
		""""""
		...

	@overload
	def GetKernelRadius(self, dimension: int) -> int:
		""""""
		...

	@overload
	def GetKernelRadius(self) -> Sequence[float]:
		""""""
		...

	def GetKernelSize(self) -> Sequence[float]:
		""""""
		...

	def SetUseImageSpacing(self, _arg: bool) -> None:
		""""""
		...

	def GetUseImageSpacing(self) -> bool:
		""""""
		...

	def UseImageSpacingOn(self) -> None:
		""""""
		...

	def UseImageSpacingOff(self) -> None:
		""""""
		...

	def SetUseImageSpacingOn(self) -> None:
		""""""
		...

	def SetUseImageSpacingOff(self) -> None:
		""""""
		...

